#!/usr/bin/env python3

import subprocess
import json
from itertools import groupby

workspaces = json.loads(
    subprocess.check_output(["i3-msg", "-t", "get_workspaces"]))

for tens, workspace_group in groupby(workspaces, lambda x: x['num'] // 10):
    workspaces = [ws for ws in workspace_group
                  if ws['num'] != -1 and ws['num'] % 10 != 0]

    workspaces.sort(key=lambda x: x['num'])
    for num, ws in enumerate(workspaces, 1):
        name = ws['name'].split(":")
        name[0] = str(tens * 10 + num)
        subprocess.run(
            ["i3", "rename", "workspace", ws['name'], "to", ":".join(name)])
